org.springframework.cloud.dataflow.rest.resource

## Class StepExecutionResource

- java.lang.Object
- - org.springframework.hateoas.RepresentationModel<StepExecutionResource>
  - - org.springframework.cloud.dataflow.rest.resource.StepExecutionResource

-     public class StepExecutionResource
      extends org.springframework.hateoas.RepresentationModel<StepExecutionResource>

  Author:
    Glenn Renfro

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `StepExecutionResource.Page`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `StepExecutionResource(Long jobExecutionId, org.springframework.batch.core.StepExecution stepExecution, String stepType)` Create a new StepExecutionResource

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Long` | `getJobExecutionId()`
    `org.springframework.batch.core.StepExecution` | `getStepExecution()`
    `String` | `getStepType()`

    - ### Methods inherited from class org.springframework.hateoas.RepresentationModel

      `add, add, add, addAllIf, addIf, equals, getLink, getLink, getLinks, getLinks, getLinks, getRequiredLink, getRequiredLink, hashCode, hasLink, hasLink, hasLinks, of, of, removeLinks, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### StepExecutionResource

          public StepExecutionResource(Long jobExecutionId,
                                       org.springframework.batch.core.StepExecution stepExecution,
                                       String stepType)

      Create a new StepExecutionResource
      Parameters:
        `jobExecutionId` - the job execution id, must not be null
        `stepExecution` - the step execution, must not be null
        `stepType` - the step type

  - ### Method Detail

    - #### getJobExecutionId

          public Long getJobExecutionId()

      Returns:
        The jobExecutionId, which will never be null

    - #### getStepExecution

          public org.springframework.batch.core.StepExecution getStepExecution()

      Returns:
        The stepExecution, which will never be null

    - #### getStepType

          public String getStepType()

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.